Saltar al contenido

Debconf: unable to initialize frontend: Dialog

Debian Linux

Como podemos corregir el mensaje de error «debconf: unable to initialize frontend: Dialog» cuando actualizamos los paquetes de nuestro sistema debian

Desde hace unos días, al hacer la actualización del vps mediante el apt-get upgrade, siempre me mostraba el mensaje «debconf: unable to initialize frontend: Dialog» o «debconf: no se pudo inicializar la interfaz: Dialog» si tenemos nuestro sistema en español.

Aunque no es un error grave, ya que las actualizaciones se instalan correctamente, siempre es mejor corregir estos mensajes, ya que nos puede despistar mucho en la instalación de los paquetes y pensar que no se llegan a instalar.

El paquete Dialog

Es una aplicación proporciona un método para mostrar varios tipos diferentes de cuadros de diálogo de scripts de shell. Esto permite a un desarrollador de un script interactuar con el usuario de una manera mucho más amigable.

La solución al mensaje

Para que no nos vuelva a mostrar el mensaje de nuevo, tan solo debemos instalar dos paquetes: dialog y apt-utils.

apt-get install dialog apt-utils

Después de instalar ambos paquetes, debería desaparecer el mensaje a la hora de volver a instalar o actualizar los paquetes de nuestro sistema

¡Haz clic para puntuar esta entrada!
(Votos: 0 Promedio: 0)